# file: GNUmakefile
#
# this make file builds the driver program using GNU make and
# the isip make template
# 

# define the default compiler
#
ISIP_JAVA_COMPILER = javac
ISIP_JAVADOC = javadoc

# source files
#
ISIP_REQUIRE = JAVA JAVAC JAR SH 
ISIP_FILES = *.java

# driver program
#
ISIP_DRIVER_SCRIPT = isip_audio_signal.sh

# define compilation flags for the Java compiler
#
ISIP_JFLAGS =

# depenedencies
#
ISIP_DEPS = 

# define a resource install directive
#
ISIP_RESOURCE_INSTALL = 
ISIP_RESOURCE_CLEAN = 

# define the jarfile name
#
ISIP_JARFILE_NAME = libjava.jar

IMAGES_ICONS_DIR = 
IMAGES_SPECIAL_DIR = 
TEXT_DIR = 

# make template
#
include $(ISIP_DEVEL)/lib/scripts/make/compile_class_java.make

# install the images and text files to the lib directory
#
copy-resources:
	echo "> installing the resource files"
	mkdir -p $(TEXT_DIR)
	cp -fr text/*.txt $(TEXT_DIR)

	echo "> installing the images"
	mkdir -p $(IMAGES_ICONS_DIR)
	cp -fr images/icons/*.gif $(IMAGES_ICONS_DIR)
	mkdir -p $(IMAGES_SPECIAL_DIR)
	cp -fr images/special/*.gif $(IMAGES_SPECIAL_DIR)

# delete the images and text files from the lib directory
#
delete-resources:
	echo "> deleting the resource files"
	-rm -fr $(TEXT_DIR)

	echo "> deleting the images"
	-rm -fr $(IMAGES_ICONS_DIR)
	-rm -fr $(IMAGES_SPECIAL_DIR)

#
# end of file
